<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\BookingFoto;
use App\Models\TransaksiBuket;
use Illuminate\Http\Request;

class HistoriPesananController extends Controller
{
    public function index()
    {
        $riwayatBuket = TransaksiBuket::with(['pelanggan', 'buket'])
            ->where('status_transaksi', '!=', 'menunggu_verifikasi')
            ->latest()
            ->get();

        // Ambil riwayat foto (selain status menunggu)
        $riwayatFoto = BookingFoto::with(['pelanggan', 'paketFoto'])
            ->where('status_booking', '!=', 'menunggu_verifikasi')
            ->latest()
            ->get();

        return view('admin.pesanan.riwayat', compact('riwayatBuket', 'riwayatFoto'));
    }
}
